summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* net-libs/nghttp2: Stabilize 1.44.0 ppc64, #814038Sam James11 hours1-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-libs/nghttp2: Removed oldLars Wendler15 hours2-77/+0
| | | | Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
* net-libs/nghttp2: Bump to version 1.45.0Lars Wendler15 hours2-0/+77
| | | | Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
* net-libs/mbedtls: Revert "Remove old"Jakov Smolić19 hours3-0/+188
| | | | | | | | | | | - 2.16 branch is LTS so let's keep it in the tree, and 2.16.{10, 11} already contain backported patches for gcc-11, and 2.16.10 has a pending CVE bug open and will be removed from the tree either way This reverts commit 93f6e77da684f70ea10256e40f88cab0d45573d9. Acked-by: Andreas K. Hüttel <dilfridge@gentoo.org> Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>
* net-libs/webkit-gtk: x86 stable wrt bug #813657Agostino Sarubbo31 hours1-1/+1
| | | | | | Package-Manager: Portage-3.0.20, Repoman-3.0.3 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-libs/webkit-gtk: amd64 stable wrt bug #813657Agostino Sarubbo32 hours1-1/+1
| | | | | | Package-Manager: Portage-3.0.20, Repoman-3.0.3 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-libs/mbedtls: Remove oldAndreas K. Hüttel46 hours3-188/+0
| | | | | | Closes: https://bugs.gentoo.org/744946 Package-Manager: Portage-3.0.20, Repoman-3.0.3 Signed-off-by: Andreas K. Huettel <dilfridge@gentoo.org>
* net-libs/webkit-gtk: ppc64 stable wrt bug #813657Agostino Sarubbo47 hours1-1/+1
| | | | | | Package-Manager: Portage-3.0.20, Repoman-3.0.3 RepoMan-Options: --include-arches="ppc64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-libs/libupnpp: remove oldErik Mackdanz2 days2-19/+0
| | | | | Signed-off-by: Erik Mackdanz <stasibear@gentoo.org> Package-Manager: Portage-3.0.23, Repoman-3.0.3
* net-libs/libupnpp: stabilize 0.21.0Erik Mackdanz2 days1-1/+1
| | | | | Signed-off-by: Erik Mackdanz <stasibear@gentoo.org> Package-Manager: Portage-3.0.23, Repoman-3.0.3
* net-libs/libnsl: use preserve-libs.eclassSam James2 days1-6/+15
| | | | | | | PAM can depend on libnsl and we should be conservative with anything involving critical system tooling. Signed-off-by: Sam James <sam@gentoo.org>
* net-libs/webkit-gtk: bump to 2.32.4Mart Raudsepp3 days2-0/+301
| | | | | | Bug: https://bugs.gentoo.org/813489 Package-Manager: Portage-3.0.20, Repoman-3.0.2 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* net-libs/xrootd-ceph: add 5.3.1Marek Szuba4 days2-0/+35
| | | | Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-libs/xrootd: add 5.3.1Marek Szuba4 days2-0/+118
| | | | Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-libs/glib-networking: bump to 2.70.0Mart Raudsepp4 days2-4/+1
| | | | | Package-Manager: Portage-3.0.20, Repoman-3.0.2 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* net-libs/nodejs: add 16.9.1, drop 16.6.2-r1Marek Szuba4 days2-2/+3
| | | | Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-libs/nodejs: remove oldMarek Szuba5 days7-1101/+0
| | | | Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-libs/nodejs: add 12.22.6Marek Szuba5 days2-0/+250
| | | | | | | As requested by williamh on IRC. Straight-to-stable on amd64. Bug: https://bugs.gentoo.org/811273 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-libs/nodejs: keyword 14.17.6 for -riscvMarek Szuba5 days1-1/+1
| | | | | | | Arch is neither recognised as valid by configure.py nor supported by the bundled version of v8. Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-libs/nodejs: keyword 12.22.5-r1 for -riscvMarek Szuba5 days1-1/+1
| | | | | | | Arch is neither recognised as valid by configure.py nor supported by the bundled version of v8. Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-libs/libtrace: add 4.0.17_p1Sam James5 days3-2/+77
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-libs/glib-networking: avoid QA warningMart Raudsepp5 days1-1/+1
| | | | | Package-Manager: Portage-3.0.20, Repoman-3.0.2 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* net-libs/libqmi: Version bump to 1.30.2Matt Turner5 days2-0/+50
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* net-libs/libsoup:3.0: improve tests situationMart Raudsepp5 days1-4/+3
| | | | | | | | | Despite disabling pkcs11 tests, it will still fail when pkcs11 is present, as the toggle doesn't seem to disable everything. Add some notes about remaining test failure possibilities. Package-Manager: Portage-3.0.20, Repoman-3.0.2 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* net-libs/libsoup:3.0: require newer glib-networking for working httpsMart Raudsepp5 days1-1/+1
| | | | | | | | | | libsoup-2.99.x has code that depends on new interfaces added in glib-2.69, which in turn don't really work when glib-networking isn't 2.69+ as well. As we have a glib-networking PDEPEND, ensure things will work by raising the minimum accordingly. Package-Manager: Portage-3.0.20, Repoman-3.0.2 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* net-libs/glib-networking: bump to 2.70_rcMart Raudsepp5 days2-0/+84
| | | | | Package-Manager: Portage-3.0.20, Repoman-3.0.2 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* net-libs/libsoup: bump to 2.99.9Mart Raudsepp6 days2-0/+95
| | | | | | | Enable brotli support by default (libsoup advertises it to servers since 2.99.7 now). Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* net-libs/libmediawiki: keyword 5.37.0-r1 for ~riscvAlex Fan7 days1-1/+1
| | | | | Signed-off-by: Alex Fan <alexfanqi@yahoo.com> Signed-off-by: Yixun Lan <dlan@gentoo.org>
* net-libs/rabbitmq-c: add 0.11.0Sam James8 days2-0/+54
| | | | | Bug: https://bugs.gentoo.org/805374 Signed-off-by: Sam James <sam@gentoo.org>
* net-libs/enet: keyword ~riscvYixun Lan9 days1-1/+1
| | | | | Package-Manager: Portage-3.0.22, Repoman-3.0.3 Signed-off-by: Yixun Lan <dlan@gentoo.org>
* net-libs/telepathy-logger-qt: keyword 17.09.0 for ~riscvAlex Fan9 days1-1/+1
| | | | | Signed-off-by: Alex Fan <alexfanqi@yahoo.com> Signed-off-by: Yixun Lan <dlan@gentoo.org>
* net-libs/telepathy-qt: keyword 0.9.8 for ~riscvAlex Fan9 days2-3/+3
| | | | | Signed-off-by: Alex Fan <alexfanqi@yahoo.com> Signed-off-by: Yixun Lan <dlan@gentoo.org>
* net-libs/telepathy-farstream: keyword 0.6.2 for ~riscvAlex Fan9 days1-2/+2
| | | | | Signed-off-by: Alex Fan <alexfanqi@yahoo.com> Signed-off-by: Yixun Lan <dlan@gentoo.org>
* net-libs/telepathy-accounts-signon: keyword 2.1 for ~riscvAlex Fan9 days1-2/+2
| | | | | Signed-off-by: Alex Fan <alexfanqi@yahoo.com> Signed-off-by: Yixun Lan <dlan@gentoo.org>
* net-libs/libsignon-glib: keyword 2.1 for ~riscvAlex Fan9 days1-1/+1
| | | | | Signed-off-by: Alex Fan <alexfanqi@yahoo.com> Signed-off-by: Yixun Lan <dlan@gentoo.org>
* net-libs/telepathy-glib: keyword 0.24.2 for ~riscvAlex Fan9 days1-1/+1
| | | | | Signed-off-by: Alex Fan <alexfanqi@yahoo.com> Signed-off-by: Yixun Lan <dlan@gentoo.org>
* **/metadata.xml: Replace http by https in DOCTYPE elementUlrich Müller10 days200-200/+200
| | | | | Bug: https://bugs.gentoo.org/552720 Signed-off-by: Ulrich Müller <ulm@gentoo.org>
* net-libs/dleyna-connector-dbus: Version bump to 0.4.1Matt Turner11 days2-0/+24
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* net-libs/libaxc: 0.3.6Sebastian Pipping12 days2-0/+72
| | | | | Signed-off-by: Sebastian Pipping <sping@gentoo.org> Package-Manager: Portage-3.0.22, Repoman-3.0.3
* net-libs/canlock: add BDEPEND+="sys-devel/flex"Joonas Niilola12 days1-1/+2
| | | | Signed-off-by: Joonas Niilola <juippis@gentoo.org>
* net-libs/canlock: add 3.2.2Anna (cybertailor) Vyalkova12 days3-0/+59
| | | | | | | missing yacc dependency added Signed-off-by: Anna Vyalkova <cyber+gentoo@sysrq.in> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
* net-libs/gupnp-igd: keyword ~riscvYixun Lan12 days1-1/+1
| | | | | Package-Manager: Portage-3.0.22, Repoman-3.0.3 Signed-off-by: Yixun Lan <dlan@gentoo.org>
* net-libs/farstream: keyword ~riscvYixun Lan12 days1-1/+1
| | | | | Package-Manager: Portage-3.0.22, Repoman-3.0.3 Signed-off-by: Yixun Lan <dlan@gentoo.org>
* net-libs/libsrtp: keyword ~riscvYixun Lan12 days1-1/+1
| | | | | Package-Manager: Portage-3.0.22, Repoman-3.0.3 Signed-off-by: Yixun Lan <dlan@gentoo.org>
* net-libs/libnice: keyword ~riscvYixun Lan12 days1-1/+1
| | | | | Package-Manager: Portage-3.0.22, Repoman-3.0.3 Signed-off-by: Yixun Lan <dlan@gentoo.org>
* net-libs/gupnp-igd: keyword ~riscvYixun Lan12 days1-2/+2
| | | | | Package-Manager: Portage-3.0.22, Repoman-3.0.3 Signed-off-by: Yixun Lan <dlan@gentoo.org>
* net-libs/meanwhile: keyword ~riscvYixun Lan12 days1-2/+2
| | | | | Package-Manager: Portage-3.0.22, Repoman-3.0.3 Signed-off-by: Yixun Lan <dlan@gentoo.org>
* net-libs/libgadu: keyword ~riscvYixun Lan12 days1-1/+1
| | | | | Package-Manager: Portage-3.0.22, Repoman-3.0.3 Signed-off-by: Yixun Lan <dlan@gentoo.org>
* net-libs/quiche: migrate from 'cmake-utils' to 'cmake'Craig Andrews14 days2-5/+224
| | | | | | Closes: https://bugs.gentoo.org/811954 Package-Manager: Portage-3.0.22, Repoman-3.0.3 Signed-off-by: Craig Andrews <candrews@gentoo.org>
* net-libs/nodejs: 14.17.6 bump and stable on amdt64William Hubbs2021-09-062-0/+244
| | | | | | Bug: https://bugs.gentoo.org/811273 Package-Manager: Portage-3.0.20, Repoman-3.0.3 Signed-off-by: William Hubbs <williamh@gentoo.org>